Subject: Re: Ethernet drivers wiki page

From: Stephen Hemminger <[email-masked]>
Date: Fri, 4 Jun 2010 15:23:24 -0700

On Fri, 4 Jun 2010 15:04:17 -0700
"Luis R. Rodriguez" <[email-masked]> wrote:

> On Fri, Jun 4, 2010 at 2:52 PM, Luis R. Rodriguez <[email-masked]> wrote:
> > Where can I start adding documentation for our Ethernet drivers
> > upstream? I was hoping for a wiki but I don't think we have a netdev
> > one yet. Shall we create one or piggy back on something else? I'm
> > reviewing:
> >
> > https://wiki.kernel.org/
> >
> > FWIW, I want to see something like this:
> >
> > http://wireless.kernel.org/en/users/Drivers
> >
> > But for ethernet.
> 
> Since I've stuffed a few ethernet drivers on compat-wireless I might
> as well start carrying more. So now we'd have 802.11, Bluetooth and
> Ethernet all backported using the same framework, automatically, down
> to at least the oldest stable kernel supported listed on kernel.org
> and using all a generic compat module.
> 
> I want to document all this crap.

Why not Documentation/networking in kernel source? There is already
documentation there though much of it is out of date.
This has the advantage of having change log and matching kernel version.